import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        /**
             * What renderer implementation to use for the page.
             * Defaults to canvas. SVG rendering not implemented yet.
             */ renderer?: 'canvas' | 'svg';
        /**
             * The page number to show.
             */ pageNumber?: number;
        /**
             * The scale to show the PDF at.
             */ zoomLevel?: number;
        /**
             * Override the height to render the page at.
             * If both `targetHeight` and `targetWidth` are provided, then targetWidth takes precedence.
             */ targetHeight?: number;
        /**
             * Override the width to render the page at.
             * If both `targetHeight` and `targetWidth` are provided, then targetWidth takes precedence.
             */ targetWidth?: number;
        /**
             * Rotate the page by a multiple of 90 degrees.
             */ rotation?: 0 | 90 | 180 | 270;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export declare type PageProps = typeof __propDef.props;
export declare type PageEvents = typeof __propDef.events;
export declare type PageSlots = typeof __propDef.slots;
/** Render a page from a PDF document. Must be a child of a `Document` component. */
export default class Page extends SvelteComponentTyped<PageProps, PageEvents, PageSlots> {
}
export {};
